Bug 1290968 - Missing DB API to connect to Oracle, MySQL,
Missing DB API to connect to Oracle, MySQL,
Status: CLOSED NEXTRELEASE
Product: softwarecollections.org
Classification: Community
Component: python33 (Show other bugs)
1.0
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Python Maintainers
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-12 02:44 EST by Jochen
Modified: 2017-08-09 10:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-09 10:42:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jochen 2015-12-12 02:44:24 EST
Description of problem:
The Software Collection is useless without containing connector API to the most modern Database (Oracle, MySQL,..).
Please provide an easy way and/or documentation to integrate such extensions to SCL and an rpm with RHEL 7 to easy install for example cx_oracle for python 2.7 and 3.3 to SCL and/or to normal python installation.

Version-Release number of selected component (if applicable): python27/python33 to SCL 1.2 (think that is the last prod. Version).


How reproducible: Important Extension Request and/or Documentation Request to integrate such python extensions to scl installations.


Steps to Reproduce: not neede
1.
2.
3.

Actual results: no python extension for Oracle or other important DB's found (like cx_oracle).


Expected results: yum install cx_oracle2scl


Additional info:
Comment 1 Ariel 2016-03-06 06:00:35 EST
A packaged Mysql connector would be great for 'rh-python34' also!
Comment 2 Tomas Orsava 2017-08-09 10:42:17 EDT
The collection python33 is no longer supported. However a MySQL connector PyMySQL was added to the rh-python35 collection.

Note You need to log in before you can comment on or make changes to this bug.